<nav class="navbar navbar-expand-lg navbar-dark bg-soaint">
    
        <a class="navbar-brand" href="#"><i class="fas fa-globe-americas"></i> SOAINT </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        
        <div class="collapse navbar-collapse nav navbar-letra justify-content-end" id="navbarSupportedContent">
            <ul class="navbar-nav pull-xs-right">
            <li class="nav-item active">
                <a class="nav-link" [routerLink]="['/login']">Login&nbsp;&nbsp;<i class="fas fa-sign-in-alt"></i></a>
            </li>
            </ul>          
        </div>
    
</nav>

<div class="container card mt-4 mb-2 py-0 tarjeta">
    <div class="row">
        <div class="col-md-3 px-4 mt-4 mb-3">
            <h3 class="fas fa-user"><b>&nbsp;&nbsp;Aspirante</b> </h3>
        </div>
        <div class="input-group px-5 offset-md-4 col-md-5 mt-4 mb-4">
            <input type="text" class="form-control" name ="dni" placeholder="Ingrese su Cédula" aria-label="" #dni aria-describedby="basic-addon1">
            <div class="input-group-append">
                <button class="btn" style="background:#006595; color:white" disabled="true"><i class="fas fa-search"></i></button>
            </div>
        </div>
    </div>

    <div class="row">
            <div class="col-md-12 mt-2">
                    <hr>
                <div id="wizard" class="form_wizard wizard_horizontal">
                    <ul class="wizard_steps anchor">
                        <li class="uno">
                        <a [routerLink]="['/aspirante']" class="selected" isdone="0" rel="1">
                            <span class="step_no"><i class="fa fa-user"></i></span>
                            <span class="step_descr">
                                <small>"Datos Básicos"</small>
                            </span>
                        </a>
                        </li>
                        <li class="dos">
                        <a [routerLink]="['/aspirante/datosacademicos', id_candidato]" class="selected" isdone="0" rel="2">
                            <span class="step_no"><i class="fas fa-graduation-cap"></i></span>
                            <span class="step_descr">
                            <small>"Datos Acádemicos"</small>
                            </span>
                        </a>
                        </li>
                        <li class="tres">
                        <a [routerLink]="['/aspirante/datoslaborales' , id_candidato]" class="selected" isdone="0" rel="3">
                            <span class="step_no"><i class="fas fa-briefcase"></i></span>
                            <span class="step_descr">
                            <small>"Datos Laborales"</small>
                            </span>
                        </a>
                        </li>
                        <li class="cuatro">
                        <a [routerLink]="['/aspirante/habilidades', id_candidato]" class="done" isdone="1" rel="4">
                            <span class="step_no"><i class="fas fa-star"></i></span>
                            <span class="step_descr">
                            <small>"Habilidades"</small>
                            </span>
                        </a>
                        </li>
                        <li class="cinco">
                        <a [routerLink]="['/aspirante/archivos', id_candidato]" class="selected" isdone="0" rel="5">
                            <span class="step_no"><i class="fas fa-archive"></i></span>
                            <span class="step_descr">
                            <small>"Archivos"</small>
                            </span>
                        </a>
                        </li>
                    </ul>
                    
                    <div class="stepContainer" style="height:450px;">
                        <div id="step-1" class="content" style="display: block;">
                            <div class="container">
                                <h4>Habilidades y Destrezas</h4>
                            </div>
                            <div class="row">
                                <div class="col-md-2"></div>
                            
                                <div class="col-md-8">
                                    <div class="alert alert-success" *ngIf="status == 'success' ">{{ message | titlecase }}</div>
                                    <div class="alert alert-danger" *ngIf="status == 'error' ">{{ message | titlecase }}</div>
                            
                                    <form #habilidadesForm="ngForm" (ngSubmit)="onSubmit(habilidadesForm)" method="POST" action="/aspirante/habilidades">
                                        <div class="form-row">
                                            <input type="hidden" name="id_candidato" class="form-control" 
                                                    [(ngModel)]="habilidades.id_candidato" [value]="id_candidato"
                                                    required>
                                        </div> 
                                        <div class="form-row">
                                            <div class="form-group col-md-6">
                                                <label for="profesion">Profesión</label>
                                                <div *ngIf="profesion==null">Cargando...</div>
                                                <select name="profesion" class="form-control"
                                                    [(ngModel)]="habilidades.profesion"
                                                    required>
                                                    <option value="null">Seleccione...</option>
                                                    <option *ngFor="let profesion of profesion" value="{{ profesion.id_profesion }}">{{ profesion.descripcion | titlecase }}</option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label for="idiomas">Idiomas</label>
                                                    <div *ngIf="idiomas==null">Cargando...</div>
                                                    <select class="form-control" name="idiomas"
                                                    [(ngModel)]="habilidades.idiomas">
                                                    <option value="null">Seleccione...</option>  
                                                    <option *ngFor="let idiomas of idiomas" value="{{ idiomas.id_idioma }}">{{ idiomas.descripcion | titlecase }}</option>                         
                                                    </select>
                                            </div>
                                        </div>
                        
                                        <div class="form-row">
                                            <div class="form-group col-md-6">
                                                <label >Conocimientos</label>
                                                <div *ngIf="conocimiento==null">Cargando...</div>
                                                <select name="conocimiento" class="form-control" *ngIf="conocimiento" 
                                                        [(ngModel)]="habilidades.conocimiento"
                                                        required>
                                                    <option value="null">Seleccione...</option>
                                                    <option *ngFor='let conocimiento of conocimiento' value="{{ conocimiento.id_conocimiento }}" >{{ conocimiento.descripcion | titlecase }}</option>
                                                </select>
                                                </div>
                                            </div>
                                        <!-- <div class="row">
                                            <pre>
                                                <li *ngFor="let habi of verHabilidades">{{ habi.conocimiento }}</li>
                                            </pre>
                                        </div> -->
                                        <!-- <div class="row">
                                            <tr>
                                                <table class="table table-striped table-bordered table-hover table-sm tabla">
                                                    <tbody>
                                                    <tr>
                                                        <td>
                                                            <h6 class="card-title text-center"><br><b>Habilidades Registradas: </b><br></h6>
                                                            <div *ngFor="let habi of verHabilidades">
                                                                <p class="card-text text-center">El Aspirante ha registrado la siguiente Habilidad:&nbsp;<b>{{ habi.conocimiento | titlecase }}</b>,&nbsp;y el siguiente idioma:&nbsp;<b>{{ habi.idioma | titlecase }}</b></p>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </tr>
                                        </div> -->
                                        <div class="datos-fin">
                                            <ul>
                                                <!--<input type="submit" class="btn" style="background:#006595; color:white" value="Guardar"/>-->
                                                <button  class="btn som" style="color:white; background:#006595" value="Aceptar" [disabled]="!habilidadesForm.form.valid">
                                                    <i class="far fa-save"></i>&nbsp;Guardar
                                                </button>
                                                <a class="nav-link align-right" [routerLink]="['/aspirante/archivos', id_candidato]">Next&nbsp;&nbsp;<i class="fas fa-forward"></i></a>
                                            </ul>
                                        </div>
                                    </form>
                            
                                </div>
                                <div class="col-md-2"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
    
</div>

<div *ngIf="show">
        <div class="btn-group margen margen som" role="group" aria-label="Basic example">
            <button class="text-center som" type="button" style="background:#006595" class="btn btn-outline-light Cita" data-toggle="modal" [attr.data-target]="'#Modal-'+id_candidato">
                <i class="fas fa-star"></i>&nbsp;Habilidades Registradas
            </button>
        </div>
    </div>
            
<!--Modal-->
<div *ngFor="let habi of verHabilidades">
    <div class="modal" [attr.id]="'Modal-'+id_candidato" tabindex="-1" role="dialog" [attr.aria-labelledby]="id_candidato" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" [attr.id]="id_candidato">Habilidades y Conocimientos Registrados</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <table class="table table-striped table-bordered table-sm table-hover border-primary">
                <thead>
                    <th class="text-center">Conocimientos</th>
                    <th class="text-center">Idiomas</th>
                </thead>
                <tbody>
                    <tr *ngFor="let habi of verHabilidades">
                        <td>{{ habi.conocimiento | titlecase }}</td> 
                        <td>{{ habi.idioma | titlecase }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        </div>
    </div>
    </div>
</div> 
        
<!-- Fin Modal -->

  